summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2013-10-27 06:31:00 +0100
committer Robby Workman2013-10-28 05:38:59 +0100
commit07e2b2df51756387951bb5cd3fb7f8d672658f33 (patch)
treef06e48e99261c7f524f6b8f71c9591c3242ea7d2
parent84e70a77043334578f31ed1a9a92ac097a2a5246 (diff)
downloadslackbuilds-07e2b2df51756387951bb5cd3fb7f8d672658f33.tar.gz
libraries/nspluginwrapper: Added (proxy plugin)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/nspluginwrapper/README10
-rw-r--r--libraries/nspluginwrapper/README.midori5
-rw-r--r--libraries/nspluginwrapper/nspluginwrapper.SlackBuild98
-rw-r--r--libraries/nspluginwrapper/nspluginwrapper.info10
-rw-r--r--libraries/nspluginwrapper/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/libraries/nspluginwrapper/README b/libraries/nspluginwrapper/README
new file mode 100644
index 0000000000..af94ae36fc
--- /dev/null
+++ b/libraries/nspluginwrapper/README
@@ -0,0 +1,10 @@
+nspluginwrapper is a proxy plug-in and viewer for NPAPI browser
+plug-ins. It allows browsers to run foreign plug-ins built for a
+different architecture, most commonly to run a 32-bit plug-in in a
+64-bit browser.
+
+This is needed by 64bit midori compiled against GTK3 to use the flash
+plugin:
+
+cd /usr/lib64/mozilla/plugins
+nspluginwrapper -v -a -n -i libflashplayer.so
diff --git a/libraries/nspluginwrapper/README.midori b/libraries/nspluginwrapper/README.midori
new file mode 100644
index 0000000000..271a3a16a5
--- /dev/null
+++ b/libraries/nspluginwrapper/README.midori
@@ -0,0 +1,5 @@
+If you have 64bit midori compiled against GTK3, to get the flash plugin
+to work do the following:
+
+cd /usr/lib64/mozilla/plugins
+nspluginwrapper -v -a -n -i libflashplayer.so
diff --git a/libraries/nspluginwrapper/nspluginwrapper.SlackBuild b/libraries/nspluginwrapper/nspluginwrapper.SlackBuild
new file mode 100644
index 0000000000..2a81f773f1
--- /dev/null
+++ b/libraries/nspluginwrapper/nspluginwrapper.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for nspluginwrapper
+
+# Copyright 2013 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nspluginwrapper
+VERSION=${VERSION:-git20130818}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+find . -name "*.[ch]" | xargs sed -i 's%glib/.*.h%glib.h%g'
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --target-cpu=$ARCH \
+ --with-lib32=/usr/lib \
+ --with-lib64=/usr/lib64
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog.pre-1-4 NEWS README TODO $CWD/README.midori \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/nspluginwrapper/nspluginwrapper.info b/libraries/nspluginwrapper/nspluginwrapper.info
new file mode 100644
index 0000000000..fbe0324cc4
--- /dev/null
+++ b/libraries/nspluginwrapper/nspluginwrapper.info
@@ -0,0 +1,10 @@
+PRGNAM="nspluginwrapper"
+VERSION="git20130818"
+HOMEPAGE="http://nspluginwrapper.org"
+DOWNLOAD="http://www.unrealize.co.uk/source/nspluginwrapper-git20130818.tar.xz"
+MD5SUM="6e5fb53d69e0cac29bbd947792227641"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/libraries/nspluginwrapper/slack-desc b/libraries/nspluginwrapper/slack-desc
new file mode 100644
index 0000000000..1ada62a693
--- /dev/null
+++ b/libraries/nspluginwrapper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nspluginwrapper: nspluginwrapper (proxy plugin)
+nspluginwrapper:
+nspluginwrapper: nspluginwrapper is a proxy plug-in and viewer for NPAPI browser
+nspluginwrapper: plug-ins. It allows browsers to run foreign plug-ins built for a
+nspluginwrapper: different architecture, most commonly to run a 32-bit plug-in in a
+nspluginwrapper: 64-bit browser.
+nspluginwrapper:
+nspluginwrapper: Homepage: http://nspluginwrapper.org
+nspluginwrapper:
+nspluginwrapper:
+nspluginwrapper: